Retrieves all the job_priority objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7036c673-abc4-474b-9c29-9477c04a56d5",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "b7b272b2-cd5c-44fc-b9d5-d3ec59acdb7c",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "e5a860e2-56c1-4a3e-a72b-b96c31340876",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "1a567d18-be93-479c-9422-55375a4582c7",
    "db_currency_id": "ff171aa6-22de-4c3d-91f8-22b0c8d834ff",
    "db_language_id": "21dcd2e9-6e64-457b-88d9-e6c19188e454",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-06-25T21:36:51.3260282+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-06-25T21:36:51.3260282+00:00"
}